PropertyProjection
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.gcubedocumentlibrary.projections
Class PropertyProjection

    java.lang.Object
      org.gcube.contentmanagement.gcubedocumentlibrary.projections.BaseProjection<GCubeElement,PropertyTypes.ElementProperty,PropertyProjection>
          org.gcube.contentmanagement.gcubedocumentlibrary.projections.PropertyProjection

All Implemented Interfaces:
  Projection<GCubeElement,PropertyTypes.ElementProperty>

    public final class PropertyProjection

extends BaseProjection<GCubeElement,PropertyTypes.ElementProperty,PropertyProjection>

A `Projection` over `GCubeElementProperty` elements.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`PropertyProjection()`
`PropertyProjection(TreePredicate p)`

Method Summary
`TreePredicate` | `documentPredicate()` Returns a `TreePredicate` that characterises documents which match the projection.
`TreePredicate` | `predicate()` Returns a `TreePredicate` that characterises elements that match the projection.
`PropertyProjection` | `withKey( c)` Constrains the key of the property to satisy a given text `Constraint`.
`PropertyProjection` | `withKey(java.lang.String name)` Constrains the key of the property to be a given string.

Methods inherited from class org.gcube.contentmanagement.gcubedocumentlibrary.projections.BaseProjection
`allexcept, constraints, equals, etc, hashCode, isConstrained, isExcluded, isFiltered, isIncluded, isOptional, toString, where, where, where, whereValue, with, with, with, withValue`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyProjection

    public PropertyProjection()

### PropertyProjection

    public PropertyProjection(TreePredicate p)

Method Detail

### documentPredicate

    public TreePredicate documentPredicate()

  Returns a `TreePredicate` that characterises documents which match the projection.

  Returns:
    the predicate.

### withKey

    public PropertyProjection withKey(java.lang.String name)

  Constrains the key of the property to be a given string.

  Parameters:
    `predicate` - the string.

### withKey

    public PropertyProjection withKey( c)

  Constrains the key of the property to satisy a given text `Constraint`.

  Parameters:
    `predicate` - the text `Constraint`.

### predicate

    public TreePredicate predicate()

  Returns a `TreePredicate` that characterises elements that match the projection.

  This method behaves like `Projection.documentPredicate()` if the projection is defined over documents. It differs if it is defined over inner elements.

  Specified by:
    `predicate` in interface `Projection<GCubeElement,PropertyTypes.ElementProperty>`
  Overrides:
    `predicate` in class `BaseProjection<GCubeElement,PropertyTypes.ElementProperty,PropertyProjection>`
  Returns:
    the predicate.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD